Comment on the order
https://carchost.fieldcontrol.com.br/orders/{id}/commentsAdds a comment to the work order on behalf of an author from your system. The success response uses status 200.
Requires the
X-Api-Key,User-AgentandContent-Type: application/jsonheaders. Limit: 1 request per second (learn more).
Request
Path parameters
idstringrequiredWork order identifier.
Example: NDJiMWQ0YzQtOWNmOC00NWE2LTg2MjItYjNjNzZjZjk0MmM4OjIyOTE1.
Headers
User-AgentstringrequiredIdentification of your application.
Example: MinhaIntegracao/1.0.
Request body
JSON, sent with the Content-Type: application/json header.
messagestringrequiredComment text.
Up to 500 characters.
typestringrequiredVisibility: team (team), public (customer), manager (managers) or corporate.
Accepted values: team, public, manager, corporate.
archivedbooleanCreates the comment already archived.
Default: false.
postedByobjectrequiredComment author in your system.
Fields of postedBy
externalIdstringrequiredAuthor identifier in your system. The same value always produces the same postedBy.id.
Up to 50 characters.
namestringrequiredAuthor name.
Up to 50 characters.
avatarUrlstringURL of the author's photo.
Up to 500 characters.Accepts: null.
Responses
- 200
Comment created.
- 401
API key missing (
Missing API Key) or invalid (Invalid API Key). See Authentication. - 403
Account blocked (
Account blocked), expired (Account expired) or on a plan that does not allow integration (Account plan not allowed). See Authentication. - 404
Resource not found. The response body is empty.
- 422
Invalid body (resourceValidationErr):
postedBy,messageortypemissing,typeoutside the list or texts over the limit. Invalid order identifier: uriValidationErr. - 429
Limit of 1 request per second exceeded. See Rate limit.
- 500
Unexpected server error.